OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXmlXCAF
XmlMXCAFDoc

# XmlMXCAFDoc_LayerToolDriver Class Reference

Attribute Driver.
.

`#include <XmlMXCAFDoc_LayerToolDriver.hxx>`

## Public Member Functions
Standard_EXPORT | XmlMXCAFDoc_LayerToolDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
virtual Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &theSource, const Handle(TDF_Attribute)&theTarget, XmlObjMgt_RRelocationTable &theRelocTable) const
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theSource, XmlObjMgt_Persistent &theTarget, XmlObjMgt_SRelocationTable &theRelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMXCAFDoc_LayerToolDriver::XmlMXCAFDoc_LayerToolDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const XmlMXCAFDoc_LayerToolDriver::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT Handle_TDF_Attribute XmlMXCAFDoc_LayerToolDriver::NewEmpty | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void XmlMXCAFDoc_LayerToolDriver::Paste | ( | const Handle(TDF_Attribute)& | theSource,
|  | XmlObjMgt_Persistent & | theTarget,
|  | XmlObjMgt_SRelocationTable & | theRelocTable
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Boolean XmlMXCAFDoc_LayerToolDriver::Paste | ( | const XmlObjMgt_Persistent & | theSource,
|  | const Handle(TDF_Attribute)& | theTarget,
|  | XmlObjMgt_RRelocationTable & | theRelocTable
| ) | const`[virtual]`

The documentation for this class was generated from the following file:

- XmlMXCAFDoc_LayerToolDriver.hxx